Maven-Projekt für Java 1.6 compilieren

veröffentlicht am 09. April 2011

Bei jedem neuen Maven-Projekt stelle ich als erstes ein paar Standards ein. Darunter fällt auch die Angabe, dass das entsprechende Projekt für Java 1.6 kompiliert werden soll. Dazu muss ledglich ein Maven Plugin sowie eine kleine Konfigurationsanweisung zur pom.xml hinzugefügt werden.

Wer m2eclipse benutzt, kann über den Reiter Plugins das maven-compiler-plugin hinzufügen und kann danach den <configuration>-Abschnitt aus dem folgenden Block einfügen. Wer die pom.xml lieber nur per Hand bearbeitet, fügt den kompletten Block hinzu:

<build>
   <plugins>
      <plugin>
         <groupId>org.apache.maven.plugins</groupId>
         <artifactId>maven-compiler-plugin</artifactId>
         <version>2.3.2</version>
         <configuration>
            <source>1.6</source>
            <target>1.6</target>
         </configuration>
      </plugin>
   </plugins>
</build>

Hinterlasse einen Kommentar